Skip to main content
GET
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
ingestion-jobs
List ingestion jobs for a knowledge base
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/ingestion-jobs \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_type": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "item_title": "<string>",
      "total_documents": 123,
      "processed_count": 0,
      "error_message": "<string>",
      "progress_pct": 0,
      "updated_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

kb_id
string<uuid>
required

Query Parameters

status
string | null

Filter by status. Accepts exact values (queued, processing, completed, failed, partial_failure) or the sugar value 'active' which matches queued + processing.

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
IngestionJobSummaryResponse · object[]
required
has_more
boolean
required
next_cursor
string | null